VERSION 5.00
Object = "{9446704B-6B65-4DA8-9686-5E1C0AFE613C}#1.0#0"; "WAMPLE.OCX"
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.1#0"; "COMCTL32.OCX"
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "WAMPLE - telephone status"
   ClientHeight    =   5025
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3375
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5025
   ScaleWidth      =   3375
   StartUpPosition =   3  'Windows Default
   Begin WAMPLELib.WAMPLE WAMPLE1 
      Left            =   2880
      Top             =   3000
      _Version        =   65536
      _ExtentX        =   661
      _ExtentY        =   661
      _StockProps     =   0
   End
   Begin VB.Frame Frame4 
      Caption         =   "WAMPLE"
      Height          =   2055
      Left            =   120
      TabIndex        =   10
      Top             =   2880
      Width           =   3135
      Begin VB.TextBox PortConfigText 
         Height          =   315
         Left            =   120
         TabIndex        =   16
         Text            =   "Text1"
         Top             =   1560
         Width           =   2895
      End
      Begin VB.CommandButton Command3 
         Caption         =   "About..."
         Height          =   375
         Left            =   1680
         TabIndex        =   15
         Top             =   1080
         Width           =   1335
      End
      Begin VB.ComboBox Combo1 
         Height          =   315
         ItemData        =   "Form1.frx":0000
         Left            =   120
         List            =   "Form1.frx":001C
         Style           =   2  'Dropdown List
         TabIndex        =   14
         Top             =   1080
         Width           =   1335
      End
      Begin VB.CommandButton Command2 
         Caption         =   "Disconnect"
         Height          =   375
         Left            =   1680
         TabIndex        =   13
         Top             =   600
         Width           =   1335
      End
      Begin VB.CommandButton Command1 
         Caption         =   "Connect"
         Height          =   375
         Left            =   120
         TabIndex        =   12
         Top             =   600
         Width           =   1335
      End
      Begin VB.Label StatusLabel 
         Caption         =   "Not connected"
         Height          =   255
         Left            =   120
         TabIndex        =   11
         Top             =   240
         Width           =   2895
      End
   End
   Begin VB.Frame Frame3 
      Caption         =   "Signal strength"
      Height          =   975
      Left            =   120
      TabIndex        =   4
      Top             =   1800
      Width           =   3135
      Begin ComctlLib.ProgressBar SignalLevel 
         Height          =   255
         Left            =   120
         TabIndex        =   7
         Top             =   240
         Width           =   2895
         _ExtentX        =   5106
         _ExtentY        =   450
         _Version        =   327680
         Appearance      =   1
         MouseIcon       =   "Form1.frx":0058
         Max             =   31
      End
      Begin VB.Label Label5 
         Alignment       =   1  'Right Justify
         Caption         =   "-51dB or more"
         Height          =   255
         Left            =   1800
         TabIndex        =   9
         Top             =   600
         Width           =   1215
      End
      Begin VB.Label Label4 
         Caption         =   "-113dB or less"
         Height          =   255
         Left            =   120
         TabIndex        =   8
         Top             =   600
         Width           =   1215
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Battery state"
      Height          =   1575
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3135
      Begin VB.Frame Frame2 
         Caption         =   "Power status"
         Height          =   615
         Left            =   120
         TabIndex        =   2
         Top             =   840
         Width           =   2895
         Begin VB.Label BatteryState 
            Caption         =   "Not connected"
            Height          =   255
            Left            =   120
            TabIndex        =   3
            Top             =   240
            Width           =   2655
         End
      End
      Begin ComctlLib.ProgressBar BatteryLevel 
         Height          =   255
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   2895
         _ExtentX        =   5106
         _ExtentY        =   450
         _Version        =   327680
         Appearance      =   1
         MouseIcon       =   "Form1.frx":0074
      End
      Begin VB.Label Label3 
         Alignment       =   1  'Right Justify
         Caption         =   "Full"
         Height          =   255
         Left            =   2160
         TabIndex        =   6
         Top             =   600
         Width           =   855
      End
      Begin VB.Label Label2 
         Caption         =   "Empty"
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   600
         Width           =   975
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()
    WAMPLE1.Port = Combo1.ItemData(Combo1.ListIndex)
    WAMPLE1.portconfig = PortConfigText.Text
    WAMPLE1.Connect
End Sub

Private Sub Command2_Click()
    WAMPLE1.Disconnect
End Sub

Private Sub Command3_Click()
    WAMPLE1.AboutBox
End Sub

Private Sub Form_Load()
    Combo1.ListIndex = 0
    PortConfigText.Text = WAMPLE1.portconfig
End Sub

Private Sub WAMPLE1_Connected()
    StatusLabel.Caption = "Connected!"
End Sub

Private Sub WAMPLE1_ConnectFailed()
    StatusLabel.Caption = "Failed to connect..."
End Sub

Private Sub WAMPLE1_ConnectLost()
    StatusLabel.Caption = "Connection lost!"
End Sub

Private Sub WAMPLE1_StatusUpdate()
    BatteryLevel.Value = WAMPLE1.battlevel
    Select Case WAMPLE1.battstate
    Case BATTERY
        s = "On battery power"
    Case BATTERY_NOTUSED
        s = "Battery not in use"
    Case NO_BATTERY
        s = "No battery connected"
    Case POWER_FAULT
        s = "Power fault"
    Case Else
        s = "Unknown power state"
    End Select
    BatteryState.Caption = s
    SignalLevel.Value = WAMPLE1.signal
End Sub
